"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasModifier = hasModifier;
exports.isPublic = isPublic;
exports.isStatic = isStatic;
const tslib_1 = require("tslib");
const typescript_1 = tslib_1.__importDefault(require("typescript"));
function hasModifier(node, modifier) {
    const nodeModifiers = node.modifiers;
    if (nodeModifiers == null) {
        return false;
    }
    else {
        return nodeModifiers.some((nodeModifier) => nodeModifier.kind === modifier);
    }
}
function isPublic(node) {
    return !(hasModifier(node, typescript_1.default.SyntaxKind.PrivateKeyword) || hasModifier(node, typescript_1.default.SyntaxKind.ProtectedKeyword));
}
function isStatic(node) {
    return hasModifier(node, typescript_1.default.SyntaxKind.StaticKeyword);
}
//# sourceMappingURL=modifiers.js.map